/*HEADER BOUTIQUE*/
header
{
	position: fixed;
	z-index : 55;
	width: 100%;
	background-color : #fff;
	box-shadow : 0 2px 20px 2px #5d9cec;
	transition: background-color 0.5s ease;
}
header.scroll
{
	box-shadow : 0 2px 2px rgb(173, 173, 173);
	background-color : #fffffff0;
}
header > div.container > div:first-child
{
	display: flex;

	align-items: center;
	justify-content: space-between;
	transition: ease-in-out 200ms padding-top;
}
header > div.container > div:first-child > div
{
	padding: 5px 0;
}
header > div.container > div:first-child > div:first-child + div
{
	flex: 1;
	padding: 0 20px;
	text-align: right;
}
header > div.container > div:first-child > div:first-child + div + div
{
	text-align: right;
}

#logo > img
{
	height: 80px;
    width: 250px;
    object-fit: contain;
}

header > .container {
	max-width: 100%;
}

/*RECHERCHE*/
header #form_recherche
{
	width: auto;
	max-width: none;
	position: relative;
	overflow: visible;
}
header #form_recherche input
{
	position: absolute;
	top: 50%;
	right: 40px;
	transform: translateY(-50%);
	width: 0;
	padding: 0;
	opacity: 0;
	border: 0;
	z-index: 10;
	transition: width 0.3s ease, padding 0.3s ease, opacity 0.3s ease;
}
header #form_recherche input.open
{
	width: 250px;
	padding: 10px;
	opacity: 1;
	border: 1px solid rgb(189, 189, 189);
	background: #fff;

}
header #form_recherche button
{
	margin: 0;
	border: 0;
	font-size: 20px;
	background-color: transparent;
	position: relative;
	z-index: 11;
	color: var(--color-main);
	vertical-align: middle;
}
header #form_recherche button:hover
{
	color: #898e96;
}
header > div.container > div:first-child > div:first-child + div + div > a
{
	display: inline-block;
	vertical-align: middle;
	color: var(--color-main);
	margin: 0 10px;
	text-align: center;
	text-decoration: none;
}
.icone_menu {
	display: flex;
	gap: 15px;
}
#user i ,
#panier i {
	font-size: 1.5em;
}
#user i:hover,
#panier i:hover {
	color: #898e96;
}

/*MENU*/
header > div.container > div:first-child + div
{
	text-align: center;
}
.burger
{
	display: none;
}
#menu
{
	padding : 0;
    height: 100%;
}
#menu > ul
{
	display : inline-block;
	margin : 0;
	padding : 0;
	list-style : none;
	height: 100%;
    justify-content: center;
	display: flex;
    text-align: center;
    /* border-top: 1px solid rgba(0,0,0,0.2); */
    align-items: center;
}
#menu > ul > li
{
	display : inline-flex;
	align-items: center;
	position : relative;
	vertical-align : middle;
	height: 100%;
}
#menu > ul > li:first-child > a
{
	padding : 7px 20px 8px;
}
#menu > ul > li:last-child
{
	border-right : none;
}
#menu > ul > li > a
{
	display : block;
	position : relative;
	padding : 10px 8px;
	overflow : hidden;
	text-decoration : none;
	font-size : 14px;
	letter-spacing : -1px;
	color : var(--color-secondary);
	font-weight: 500;
	/* text-transform: uppercase; */
}
#menu > ul > li > a.button
{
	padding: 5px 15px;
}
#menu > ul > li.sous-menu > a
{
	padding : 10px 20px 10px 10px;
}
#menu > ul > li > a > i
{
	line-height : 25px;
}
#menu > ul > li > a > .fa-angle-down
{
	position : absolute;
	top : calc(50% - -2px);
	right : 4px;
	font-size : 17px;
	transition : top 0.3s;
	-webkit-transform : translateY(-50%);
	transform : translateY(-50%);
}
#menu > ul > li:hover > a > .fa-angle-down.down1
{
	top : 120%;
}
#menu > ul > li > a > .fa-angle-down.down2
{
	top : -20%;
}
#menu > ul > li:hover > a > .fa-angle-down.down2
{
	top : calc(50% - -2px);
}
#menu > ul > li > a:hover,
#menu > ul > li.select > a:not(.button)
{
	color : var(--color-main);
}
#menu > ul > li > ul,
#menu > ul > li > ul > li > ul
{
	display: none;
	position : absolute;
	top: 100%;
	z-index : 3;
	padding : 0 5px;
	min-width : 100%;
	/*overflow : hidden;*/
	text-align : left;
	list-style : none;
	background-color : #ffffff;
	box-shadow : 1px 1px 4px #3a3a3a;
}
#menu > ul > li > ul > li,
#menu > ul > li > ul > li > ul > li
{
	position: relative;
	padding : 5px 0;
}
#menu > ul > li > ul > li:first-child,
#menu > ul > li > ul > li > ul > li:first-child
{
	padding-top : 15px;
}
#menu > ul > li > ul > li:last-child,
#menu > ul > li > ul > li > ul > li:last-child
{
	padding-bottom : 15px;
}
#menu > ul > li:hover > ul,
#menu > ul > li > ul > li:hover > ul
{
	display: block;
}
#menu > ul > li > ul > li
{
	white-space : nowrap;
}
#menu > ul > li > ul > li > ul
{
	display: none;
	position: absolute;
	top: -10px;
	left: 100%;
}
#menu > ul > li > ul > li:hover > ul
{
	display: block;
}
#menu > ul > li > ul > li > a,
#menu > ul > li > ul > li > ul > li > a
{
	display : block;
	padding : 5px;
	text-decoration : none;
	font-size : 15px;
	white-space : nowrap;
	color : var(--color-secondary);
}
#menu > ul > li > ul > li.sous-menu > a
{
	position: relative;
	padding-right: 25px;
}
#menu > ul > li > ul > li.sous-menu > a:after
{
	position: absolute;
	top: 8px;
	right: 10px;
    content: "\f105";
    display: inline-block;
    font: normal normal normal 14px/1 'Font Awesome 6 Pro';
    font-size: inherit;
    text-rendering: auto;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
}
#menu > ul > li > ul > li > a:hover,
#menu > ul > li > ul > li > a.select,
#menu > ul > li > ul > li > ul > li > a:hover,
#menu > ul > li > ul > li > ul > li > a.select
{
	color: var(--color-main);
}
.menu-mobile-icons {
    display: none;
}
/*Mobiles*/
@media screen and (max-width:860px)
{
	header > .container > .fadeInDown
	{
		-webkit-animation-name: initial;
		animation-name: initial;
	}	
	header #form_recherche button
	{
		font-size: 24px;
	}
	.burger
	{
	    position: relative;
	    z-index: 1;
		display: inline-block;
	    width: 28px;
	    height: 30px;
	    margin: 0 8px;
	    text-align: left;
	    cursor: pointer;
	    vertical-align: middle;
	}
	.burger > div
	{
		width: 100%;
		height: 2px;
		border-radius: 5px;
		background: var(--color-main);
		position: absolute;
		top: 50%;
		left: 50%;
		transform: translate(-50%, -50%);
		transition: all 0ms 300ms;
	}
	.burger > div::before
	{
		content: '';
		position: absolute;
		bottom: 10px;
		background: var(--color-main);
		width: 100%;
		height: 2px;
		border-radius: 5px;
		transition: bottom 300ms 300ms ease, transform 300ms ease, background 300ms ease;
	}
	.burger > div::after
	{
		content: '';
		position: absolute;
		top: 10px;
		background: var(--color-main);
		width: 64%;
		right: 0;
		height: 2px;
		border-radius: 5px;
		transition: top 300ms 300ms ease, transform 300ms ease, background 300ms ease;
	}
	.nav-open .burger > div::after
	{
		top: 0;
		transform: rotate(45deg);
		transition: top 300ms ease, transform 300ms 300ms ease, background 300ms ease;
		background-color: #fff;
		width: 100%;
	}
	.nav-open .burger > div
	{
		background: transparent;
	}
	.nav-open .burger > div::before
	{
		bottom: 0;
		transform: rotate(-45deg);
		transition: bottom 300ms ease, transform 300ms 300ms ease, background 300ms ease;
		background-color: #fff;
	}
	#menu > ul
	{
		position : fixed;
		top : 0;
		left : 0;
		width : 100%;
		border-radius : 0 !important;
		background-color : rgba(0,0,0,0.9);
		transition : ease-in-out 300ms opacity,ease-in-out 300ms padding,ease-in-out 300ms height;
		display: block;
	}	
	#menu > ul .fa-home-lg:before
	{
		content : "Accueil";
		font-family : 'Open Sans',sans-serif;
		font-weight: 500;
		font-size: 20px;
	}
    body.nav-close #menu > ul,
    body:not(.nav-open) #menu > ul
    {
        height: 0 !important;
        padding: 0 !important;
        overflow: hidden !important;
        opacity: 0 !important;
    }

    body.nav-open #menu > ul
    {
        height: 100% !important;
        padding: 140px 40px 0 !important;
        overflow: auto !important;
        opacity: 1 !important;
    }	
	#menu > ul > li
	{
		display : block;
		border-bottom : 1px solid rgba(255,255,255,0.5);
		text-align : left;
		height: initial;
	}	
	#menu > ul > li:first-child > a,
	#menu > ul > li > a
	{
		display : block;
		padding : 20px 10px;
		font-size : 20px;
		color: #FFF;
	}	
	#menu > ul > li > ul,
	#menu > ul > li > a > .fa-angle-down
	{
		display : none;
	}	
	#menu > ul > li.sous-menu > a
	{
		padding : 20px 10px;
	}
	#user,
    #panier {
        display: none;
    }

    .menu-mobile-icons {
        display: flex;
		max-width: 250px;
        flex-direction: column;
        gap: 15px;
        padding: 20px;
    }

    .menu-mobile-icons a {
        display: flex;
        align-items: center;
        gap: 10px;
		color: #fff;
        font-size: 18px;
        text-decoration: none;
    }

}
@media screen and (max-width:430px)
{
		header #logo > img
	{

		height: 80px;
		max-width: 100%;
	}
	header > div.container
	{
		/*padding: 0;*/
	}
	header > div.container > div:first-child
	{
		text-align: center;
		display: grid!important;
  		grid-template-columns: auto auto;
	}
	header > div.container > div:first-child > div:first-child
	{
		order: 1;
	}
	header > div.container > div:first-child > div:first-child + div
	{
		order: 3;
		grid-column: span 2;
		flex: initial!important;
		padding: 0!important;
	}
	header > div.container > div:first-child > div:first-child + div + div
	{
		text-align: center!important;
		order: 2;
	}
}